Skip to main content
GET
Get Comment

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

comment
string
required

Unique inbox comment ID.

Example:

"cmt_01JABCDEF"

Response

The comment.

id
string
required

Unique inbox comment ID.

Example:

"cmt_01JABCDEF"

object
string
required
Allowed value: "inbox_comment"
thread_id
string
required

Unique inbox thread ID.

Example:

"thr_01JABCDEF"

parent_id
string | null
required

Unique inbox comment ID.

Example:

"cmt_01JABCDEF"

channel
enum<string>
required
Available options:
bluesky,
facebook,
instagram,
threads,
mastodon,
x,
linkedin,
tiktok,
youtube
Example:

"x"

destination_id
string
required

Unique destination ID.

Example:

"dest_01JABCDEF"

post_id
string | null
required

Unique Post ID.

Example:

"send_01JABCDEF"

post_excerpt
string | null
required
provider_comment_id
string
required
url
string<uri> | null
required
author
object
required
is_own
boolean
required

True when the connected account wrote the comment.

body
string
required
created_at
string<date-time>
required
Example:

"2026-08-09T12:00:00.000Z"

edited_at
string<date-time> | null
required
Example:

"2026-08-09T12:00:00.000Z"

state
enum<string> | null
required

Null for a comment from the connected account.

Available options:
unanswered,
replied,
resolved
replied_at
string<date-time> | null
required
Example:

"2026-08-09T12:00:00.000Z"

resolved_at
string<date-time> | null
required
Example:

"2026-08-09T12:00:00.000Z"

replies
object[]
required